Package ghidra.rmi.trace

# Interface TraceRmi.RequestCreateTraceOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestCreateTrace`, `TraceRmi.RequestCreateTrace.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestCreateTraceOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.Compiler`
  `getCompiler()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.CompilerOrBuilder`
  `getCompilerOrBuilder()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `TraceRmi.Language`
  `getLanguage()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.LanguageOrBuilder`
  `getLanguageOrBuilder()`
  `.ghidra.rmi.trace.Language language = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `TraceRmi.FilePath`
  `getPath()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `TraceRmi.FilePathOrBuilder`
  `getPathOrBuilder()`
  `.ghidra.rmi.trace.FilePath path = 1;`
  `boolean`
  `hasCompiler()`
  `.ghidra.rmi.trace.Compiler compiler = 3;`
  `boolean`
  `hasLanguage()`
  `.ghidra.rmi.trace.Language language = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 4;`
  `boolean`
  `hasPath()`
  `.ghidra.rmi.trace.FilePath path = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasPath

    boolean hasPath()
    `.ghidra.rmi.trace.FilePath path = 1;`
    Returns:
      Whether the path field is set.

  - ### getPath

    TraceRmi.FilePath getPath()
    `.ghidra.rmi.trace.FilePath path = 1;`
    Returns:
      The path.

  - ### getPathOrBuilder

    TraceRmi.FilePathOrBuilder getPathOrBuilder()
    `.ghidra.rmi.trace.FilePath path = 1;`

  - ### hasLanguage

    boolean hasLanguage()
    `.ghidra.rmi.trace.Language language = 2;`
    Returns:
      Whether the language field is set.

  - ### getLanguage

    TraceRmi.Language getLanguage()
    `.ghidra.rmi.trace.Language language = 2;`
    Returns:
      The language.

  - ### getLanguageOrBuilder

    TraceRmi.LanguageOrBuilder getLanguageOrBuilder()
    `.ghidra.rmi.trace.Language language = 2;`

  - ### hasCompiler

    boolean hasCompiler()
    `.ghidra.rmi.trace.Compiler compiler = 3;`
    Returns:
      Whether the compiler field is set.

  - ### getCompiler

    TraceRmi.Compiler getCompiler()
    `.ghidra.rmi.trace.Compiler compiler = 3;`
    Returns:
      The compiler.

  - ### getCompilerOrBuilder

    TraceRmi.CompilerOrBuilder getCompilerOrBuilder()
    `.ghidra.rmi.trace.Compiler compiler = 3;`

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 4;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 4;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 4;`